Bug 50796 - Up2date chashes with message: memory alloc
Summary: Up2date chashes with message: memory alloc
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.1
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-03 13:10 UTC by oauestad
Modified: 2007-04-18 16:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 20:17:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description oauestad 2001-08-03 13:10:39 UTC
Description of Problem:
Up2date crashes with the message: 
memory alloc (2686451720 bytes) returned NULL.
When run in X the program first retrieves the list of packages, then crashes.
When run in a terminal (console or X) as up2date -p the program says "Updating 
package profile" and then crashes after a few seconds. The error message is always 
the same.
Up2date --version runs OK and displays version 2.5.4.

How Reproducible:
Always

Steps to Reproduce:
1.  Run up2date from an xterm, or up2date - p from xterm or console.
2. 
3. 

Actual Results:
The program crashes with error message

memory alloc (2686451720 bytes) returned NULL.

Expected Results:
Normal operation of up2date program.

Additional Information:

Comment 1 Cristian Gafton 2001-08-10 20:57:09 UTC
Assigned to the owner of component

Comment 2 Bobby Brinkley 2001-08-23 22:57:40 UTC
I have the same exact error happening, it just started yesterday.  I am using 
kernel 2.4.3-16 with RH 7.1 using the same version of up2date.


Comment 3 Douglas Wilson 2001-09-10 18:01:03 UTC
I also get this same error message.  Dell Inspiron 5000e running RH7.1 with kernel-2.4.3-12 and up2date-2.5.4-1.

Comment 4 Need Real Name 2001-10-21 18:55:12 UTC
I have same problem running RH7.1 kernel 2.4.12 with severity always.
up2date ver. 2.5.4

Comment 5 Adrian Likins 2001-12-03 20:55:43 UTC
I havent ever been able to duplicate this, so I'm not sure
what is going on. 

rhnqa, can you attempt to duplicate this? I dont seem
to have much luck.

Comment 6 Adrian Likins 2004-04-05 20:17:31 UTC
closed, havent seen this ever with currently supported releases

Comment 7 Richard Schaal 2004-12-31 22:53:47 UTC
Failures seen on i686 with FC2 updating kernel package 2.6.9-1.6-FC2
from 2.6.9-1.3_FC2

Up2date suddenly begins allocating huge amounts of memory and fails
after having allocated more than half a gig.  

Progress/status box shows..

Testing package set / solving RPM interdependencies

completion window has not started to fill in.

Note that the system is up to date on all other packages as of this
date. 12/31/04


[root@snowwhite root]# up2date&
http://fedora.redhat.com/download/up2date-mirrors/fedo-Jcore-2
using mirror: http://sunsite.mff.cuni.cz/pub/fedora/2/i386/os/
http://fedora.redhat.com/download/up2date-mirrors/updates-released-fc2
using mirror:
http://mirror.hiwaay.net/redhat/fedora/linux/core/updates/2/i38/J/usr/share/rhn/up2date_client/checklist.py:139:
DeprecationWarning: integer auJment expected, got float
  info  = self.get_selection_info (event.x, event.y)
memory alloc (4 bytes) returned NULL.



Note You need to log in before you can comment on or make changes to this bug.